<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"><xsl:output method="xml"/>

<xsl:param name="sortorder" select="'descending'"/>
<xsl:param name="sortfield" select="'xxx'"/>

<xsl:template match="/">

	<root>
	<xsl:for-each select="root/data" >
	
	<xsl:sort select="@*[name()=$sortfield]" order="{$sortorder}" />

		<data>
			<xsl:for-each select="@*" > 
				<xsl:attribute name='{name()}'> <xsl:value-of select="."/></xsl:attribute>
			</xsl:for-each> 
		</data>
	</xsl:for-each>
	</root> 

</xsl:template>



<xsl:template match="data">
	<data>
		<xsl:apply-templates/>
	</data>
</xsl:template>



</xsl:stylesheet>
